VectorLinux
October 20, 2014, 02:58:27 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1] 2
  Print  
Author Topic: Abiword 2.6.0  (Read 5819 times)
nightflier
Administrator
Vectorian
*****
Posts: 4026



« on: April 10, 2008, 04:59:16 am »

Abiword 2.6.0 is released:
http://www.abisource.com/release-notes/2.6.0.phtml

I would love to have that one in VL Light.
Logged
budulay
Packager
Vectorian
****
Posts: 568


NewComer


« Reply #1 on: April 16, 2008, 01:51:04 pm »

I could try to build this package, but there is no guarantee... I am new to VL, ant this will be the first package I have ever build...
« Last Edit: April 16, 2008, 01:52:45 pm by budulay » Logged

VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!
uelsk8s
Administrator
Vectorian
*****
Posts: 2504



« Reply #2 on: April 16, 2008, 02:31:24 pm »

I could try to build this package, but there is no guarantee... I am new to VL, ant this will be the first package I have ever build...
You have to start somewhere Smiley

read this: http://vectorlinux.osuosl.org/docs/packaging/
and if you still want to give it a try abiword is up to 2.6.2 now http://www.abisource.com/release-notes/2.6.2.phtml

If you have any questions after the read be sure to ask.

Thanks,
Uelsk8s
Logged
budulay
Packager
Vectorian
****
Posts: 568


NewComer


« Reply #3 on: April 16, 2008, 04:02:58 pm »

Thanks a lot for this HowTo. I already found two HowTos for packaging at this forum, but more material I have - better.
I already found that abiword was updated to 2.6.2, but thanks anyway.

Added:
made .tlz and installed it on my mashine.
Works significantly faster than 2.5.2
The only problem for me is that it works not fast anough with .doc files for my mashine. I have pretty big library on my computer, and the books are long anough to crash abiword 2.5.2.
2.6.2 is steel trying to load one of them. I hope it will handle it, otherwise I have no access to my books:-(((

anyway, I think I will soon finish:-)
« Last Edit: April 16, 2008, 05:31:24 pm by budulay » Logged

VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!
budulay
Packager
Vectorian
****
Posts: 568


NewComer


« Reply #4 on: April 16, 2008, 05:32:22 pm »

It seems like I have a very sily question...
What architecture means?
Thanks a lot.
« Last Edit: April 16, 2008, 05:47:16 pm by budulay » Logged

VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!
nightflier
Administrator
Vectorian
*****
Posts: 4026



« Reply #5 on: April 16, 2008, 05:47:18 pm »

Architecture refers to the type of CPU you are targeting, like i386 is for Intel 80386. Then it continues, i486, i586 (Pentium), i686 (pentium pro/II)...

Most of the packages I see in the repo are optimized for i586.

Are you using vpackager?
Logged
budulay
Packager
Vectorian
****
Posts: 568


NewComer


« Reply #6 on: April 16, 2008, 05:54:22 pm »

Thanks for explanation.
I used default  i386, is it OK, or should I make it again with i586?
Quote
Are you using vpackager?
I used 'checkinstall -L' comand to get .tlz package, as it writen in http://www.vectorlinux.com/forum2/index.php?topic=1380.msg8263#msg8263
should I use vpackager?

Thanks a lot.
« Last Edit: April 16, 2008, 06:04:24 pm by budulay » Logged

VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!
nightflier
Administrator
Vectorian
*****
Posts: 4026



« Reply #7 on: April 16, 2008, 06:35:53 pm »

I have not done much packaging myself, only mentioned vpackager because it does a little more hand-holding. Checkinstall is just fine, and since you have started there, no need to switch.

From what I understand, i486 is a sweet spot between compatibility and performance, but c'mon, who's gonna try this on anything less than a Pentium? Go for i586.
Logged
budulay
Packager
Vectorian
****
Posts: 568


NewComer


« Reply #8 on: April 18, 2008, 09:38:48 am »

I PM'ed the package to JohnB316, as it sais http://www.vectorlinux.com/forum2/index.php?topic=1380.msg8263#msg8263
Logged

VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!
uelsk8s
Administrator
Vectorian
*****
Posts: 2504



« Reply #9 on: April 18, 2008, 09:55:00 am »

how did you end up building the package?
checkinstall packages are not accepted for the repo, cause you need to have a build script submitted with sources.
Logged
budulay
Packager
Vectorian
****
Posts: 568


NewComer


« Reply #10 on: April 18, 2008, 05:35:27 pm »

OOPS!
I am sorry, I just was confused a little, because I saw two instructions how to build package with checkinstall...
Now I carefully read the page you gave me and started over.
I am almost done now.
Sorry again.

added:
I also read about cleaning up my system for packaging, but I have only 1 additional program installed - emelmfm2, so I hope in my case there is no need to do it.
« Last Edit: April 18, 2008, 05:37:54 pm by budulay » Logged

VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!
budulay
Packager
Vectorian
****
Posts: 568


NewComer


« Reply #11 on: April 18, 2008, 06:05:01 pm »

When I used
Code:
requiredbuilder -v -y ./

it gave me such list of dependensies:

Code:
The following dependencies have been found:
atk >= 1.18.0-i486-1
bzip2 >= 1.0.4-i486-1
cairo >= 1.4.10-i486-1
cxxlibs >= 6.0.8-i486-4 | gcc-g++ >= 4.1.2-i486-1
enchant >= 1.3.0-i586-2vl59
expat >= 2.0.1-i486-1
fontconfig >= 2.4.2-i486-2
freetype >= 2.3.5-i486-1
fribidi >= 0.10.7-i486-2
gcc >= 4.1.2-i486-1
glib2 >= 2.12.13-i486-1
glibc-solibs >= 2.5-i486-5
gtk+2 >= 2.10.14-i486-1
gucharmap >= 1.10.0-i486-1
libICE >= 1.0.4-i486-1
libSM >= 1.0.3-i486-1
libX11 >= 1.1.3-i486-1
libXau >= 1.0.3-i486-1
libXcursor >= 1.1.9-i486-1
libXdmcp >= 1.0.2-i486-1
libXext >= 1.0.3-i486-1
libXfixes >= 4.0.3-i486-1
libXft >= 2.1.12-i486-2
libXi >= 1.1.3-i486-1
libXinerama >= 1.0.2-i486-1
libXrandr >= 1.2.2-i486-1
libXrender >= 0.9.4-i486-1
libart_lgpl >= 2.3.19-i486-1
libglade >= 2.6.1-i486-1
libgnomecanvas >= 2.9.2-i586-1vl59
libgnomeprint >= 2.18.1-i586-1vl59
libgnomeprintui >= 2.18.0-i586-1vl59
libgsf >= 1.14.7-i586-2vl59
libjpeg >= 6b-i486-5
libpng >= 1.2.21-i486-1
libwmf >= 0.2.8.4-i486-3
libxcb >= 1.0-i486-2
libxml2 >= 2.6.28-i486-1
pango >= 1.16.4-i486-1
perl >= 5.8.8-i486-4
popt >= 1.7-i486-2
wv >= 1.2.4-i586-1vl59
zlib >= 1.2.3-i486-2
is it OK, or my system is actualy ditry?
Logged

VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!
budulay
Packager
Vectorian
****
Posts: 568


NewComer


« Reply #12 on: April 18, 2008, 06:56:21 pm »

I finished. Everything seemes to go fine, and I tryed to check what I get.
After using
Code:
installpkg
abiword showed up into slapt-get --installed list, but there is no trace of it in start menu. Also it doesn't start from terminal.
I do not know what I did wrong. It seemed that I completely followed instruction.
Could someone help me, please?
Thanks a lot.
Logged

VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!
nightflier
Administrator
Vectorian
*****
Posts: 4026



« Reply #13 on: April 18, 2008, 07:35:32 pm »

Do you get any error messages when you try starting it from a terminal?
Logged
budulay
Packager
Vectorian
****
Posts: 568


NewComer


« Reply #14 on: April 19, 2008, 02:21:15 pm »

it just sais thst there is no such program or comand
Logged

VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!
Pages: [1] 2
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!